petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAVTKWriteAll

Write a file containing all the fields that have been provided to the viewer

### Synopsis

    PetscErrorCode DMDAVTKWriteAll(PetscObject odm,PetscViewer viewer)

Collective

### Input Arguments

odm - DM specifying the grid layout, passed as a PetscObject viewer - viewer of type VTK

### Note

This function is a callback used by the VTK viewer to actually write the file. The reason for this odd model is that the VTK file format does not provide any way to write one field at a time. Instead, metadata for the entire file needs to be available up-front before you can start writing the file.

### See Also

PETSCVIEWERVTK

Level:developer
Location:src/dm/impls/da/grvtk.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages